<?php

/* ============================================= */
/* tabnakweb Theme setting | www.tabnakweb.ir */
/* ============================================= */

// includes
require_once(TEMPLATEPATH . '/tabnakweb/admin-functions.php');
require_once(TEMPLATEPATH . '/tabnakweb/admin-interface.php');
require_once(TEMPLATEPATH . '/tabnakweb/theme-settings.php');

if ( function_exists('register_sidebar') ) {
register_sidebar(array(
'name' => 'ستون کناری',
'id' => 'sidebar',
'description' => 'ابزارک',
'before_widget' => '<aside>',
'after_widget' => '</aside>',
'before_title' => '<div><div></div><h2>',
'after_title' => '</h2></div>',
));
}


if (function_exists( 'add_image_size' )) {
    add_theme_support('post-thumbnails');
	add_image_size('titre', 250, 150, true);
	add_image_size('vip', 222, 185, true);
	add_image_size('box', 120, 70, true);
		add_image_size('box2', 164, 100, true);
}


 add_action("admin_init", "admin_init");
		add_action('save_post', 'save_details');
		//add_action('save_post', 'author_post_data');
		//add_action('save_post', 'movie_post_data');


		function admin_init(){
		  add_meta_box("post_fields_custom-meta", "نويسنده |روتيتر ", "post_fields_custom", "post", "side", "high");		  
 		  
		}
		
		function save_details(){
			global $post;
			
			update_post_meta($post->ID, "post_rutitr", $_POST["post_rutitr"]);
			update_post_meta($post->ID, "post_another", $_POST["post_another"]);
		}
 



	


	// Register Post Custom Fields
		function post_fields_custom(){
		  global $post;
		  $custom = get_post_custom($post->ID);
		  $post_rutitr = $custom["post_rutitr"][0];
		  $post_another = $custom["post_another"][0];

		  ?>
		  <input type="text" name="post_rutitr" value="<?php echo $post_rutitr; ?>" style="float: left; width: 180px; margin-top: 10px;"/><br />
          <label for="post_rutitr">روتیتر:</label>
          <div style="clear: both; height: 1px;">&nbsp;</div>
		  <input type="text" name="post_another" value="<?php echo $post_another; ?>" style="float: left; width: 180px; margin-top: 10px;"/><br />
          <label for="post_another">نويسنده:</label>
          <div style="clear: both; height: 1px;">&nbsp;</div>

 <?php
		} 






function popularPosts($num) {
global $wpdb;
 
$posts = $wpdb->get_results("SELECT comment_count, ID, post_title FROM $wpdb->posts ORDER BY comment_count DESC LIMIT 0 , $num");
 
foreach ($posts as $post) {
setup_postdata($post);
$id = $post->ID;
$title = $post->post_title;
$count = $post->comment_count;
 
if ($count != 0) {
$popular .= '<li>';
$popular .= '<a href="' . get_permalink($id) . '" title="' . $title . '">'
 . $title . '</a> ';
$popular .= '</li>';
 
}
 
}
 
return $popular;
}
////////////////////////////////////////////////////////////////////////////////
// Load Javascripts
function js_scripts() {
    wp_register_script('customjs', get_template_directory_uri() . '/js/scripts.js');

    if( is_single() ) {
        wp_enqueue_script(array('jquery', 'customjs'));
        if (function_exists('wpcf7_enqueue_scripts')) wpcf7_enqueue_scripts();
    } else {
        wp_enqueue_script(array('jquery', 'customjs'));
    }
}
add_action('wp_enqueue_scripts', 'js_scripts');

////////////////////////////////////////////////////////////////////////////////
// Dynamic lists
register_nav_menus( array(
	'mainmenu' => __( 'منو اصلی', '' ),
) );
function fallbackmenu3(){ ?>
				<ul><li style="color:#fff">لطفا در پنل مديريتي خود به قسمت فهرست ها برويد و منوي خود را ايجاد كنيد!</li></ul>
<?php }
register_nav_menus( array(
	'downmenu' => __( 'منوی پایین', '' ),
) );
function fallbackmenu2(){ ?>
				<ul><li style="color:#fff">لطفا در پنل مديريتي خود به قسمت فهرست ها برويد و منوي خود را ايجاد كنيد!</li></ul>
<?php }

////////////////////////////////////////////////////////////////////////////////

// helper functions
	$numposts = $wpdb->get_var("SELECT COUNT(*) FROM $wpdb->posts WHERE post_status = 'publish'");
	if (0 < $numposts) $numposts = number_format($numposts); 

	$numcmnts = $wpdb->get_var("SELECT COUNT(*) FROM $wpdb->comments WHERE comment_approved = '1'");
	if (0 < $numcmnts) $numcmnts = number_format($numcmnts);
// ----------------

function aq_input( $var, $type, $description = "", $value = "", $selected="" ) {

	// ------------------------
	// add a form input control
	// ------------------------
	
 	echo "\n";
 	
	switch( $type ){
	
	    case "text":

	 		echo "<input name=\"$var\" id=\"$var\" type=\"$type\" style=\"width: 60%\" class=\"textbox\" value=\"$value\" />";
			
			break;
			
		case "submit":
		
	 		echo "<p class=\"submit\"><button name=\"$var\" type=\"$type\">$value</button></p>";

			break;

		case "option":
		
			if( $selected == $value ) { $extra = "selected=\"true\""; }

			echo "<option value=\"$value\" $extra >$description</option>";
		
		    break;
  		case "radio":
  		
			if( $selected == $value ) { $extra = "checked=\"true\""; }
  		
  			echo "<label><input name=\"$var\" id=\"$var\" type=\"$type\" value=\"$value\" $extra /> $description</label><br/>";
  			
  			break;
  			
		case "checkbox":
		
			if( $selected == $value ) { $extra = "checked=\"true\""; }

  			echo "<label for=\"$var\"><input name=\"$var\" id=\"$var\" type=\"$type\" value=\"$value\" $extra /> $description</label><br/>";

  			break;

		case "textarea":
		
		    echo "<textarea name=\"$var\" id=\"$var\" style=\"width: 80%; height: 10em;\" class=\"code\">$value</textarea>";
		
		    break;
	}

}

function aq_th( $title ) {

	// ------------------
	// add a table header
	// ------------------

   	echo "<tr valign=\"top\">";
	echo "<th width=\"33%\" scope=\"row\" align=\"right\">$title :</th>";
	echo "<td>";

}

function aq_cth() {

	echo "</td>";
	echo "</tr>";
	
}

 // pagenavi
function wp_corenavi() {
  global $wp_query, $wp_rewrite;
  $pages = '';
  $max = $wp_query->max_num_pages;
  if (!$current = get_query_var('paged')) $current = 1;
  $a['base'] = str_replace(999999999, '%#%', get_pagenum_link(999999999));
  $a['total'] = $max;
  $a['current'] = $current;
  
  $total = 1; //1 - display the text "Page N of N", 0 - not display
  $a['mid_size'] = 5; //how many links to show on the left and right of the current
  $a['end_size'] = 1; //how many links to show in the beginning and end
  $a['prev_text'] = 'جدیدتر ها'; //text of the "Previous page" link
  $a['next_text'] = 'قدیمی تر ها'; //text of the "Next page" link
  
  if ($max > 1) echo '<div class="pagenavi">';
  if ($total == 1 && $max > 1) $pages = '<span class="pages">صفحه ' . $current . ' از ' . $max . '</span>'."\r\n";
  echo $pages . paginate_links($a);
  if ($max > 1) echo '</div>';
}



function ard_int($float){return ($float < -0.0000001) ? ceil($float-0.0000001) : floor($float+0.0000001);}
?>
<?php
function my_formatter($excerpt) {
    $new_content = strip_tags($excerpt);
    return $new_content;
}
 
 
add_filter('the_excerpt', 'my_formatter');
function wordpressapi_comments($comment, $args, $depth) {
 $GLOBALS['comment'] = $comment; ?>
<li <?php comment_class(empty( $args['has_children'] ) ? '' : 'parent') ?> id="comment-<?php comment_ID() ?>">
<div class="arrow"></div>
 <div id="comment-<?php comment_ID(); ?>">
 <div style="float: right">
 <?php $user_name_str = substr(get_comment_author(),0, 50); ?>
 <span class="author"><?php echo $user_name_str; ?></span>&nbsp;&nbsp;
 <span class="date"><?php printf(__('%1$s'), get_comment_date(),  get_comment_time()) ?>&nbsp;&nbsp;<?php edit_comment_link(__('(Edit)'),'  ','') ?></span>
 </div>

 <div class="reply">
 <?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
 </div>

 <?php if ($comment->comment_approved == '0') : ?>
 <em><?php _e('Your comment is awaiting moderation.') ?></em>
 <br />
 <?php endif; ?>
 

 <div style="clear: both; padding: 5px 0;">
 <?php comment_text() ?>
 </div>

 </div>
<?php
 }
 //kl,
?>