<?php
	/*Template Name: Print*/
	$id = $_GET['id'];
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>

    <head>
      <title><?php wp_title('&laquo;', true, 'right'); ?> <?php bloginfo('name'); ?></title>

      <?php if ( is_single() || is_page() ) { ?>
      		<meta name="description" content="<?php the_title(); ?>"/>
      <?php } else if ( is_category() ) { ?>
      		<meta name="description" content="<?php echo category_description(); ?>" />
      <?php } else if ( is_month() ) { ?>
      		<meta name="description" content="<?php _e('Archive: ','pnews'); ?><?php the_time('F Y'); ?>" />
      <?php } else { ?>
      		<meta name="description" content="<?php bloginfo('description'); ?>" />
      <?php } ?>
      <link rel="stylesheet" href="<?php bloginfo('template_url'); ?>/css/print.css">
      	  
      <script type="text/javascript" src="<?php bloginfo('template_url'); ?>/js/jquery-1.10.2.js"></script>
      <script type="text/javascript" src="<?php bloginfo('template_url'); ?>/js/printThis.js"></script>
      <script type="text/javascript">
      jQuery(document).ready(function() {
              //jQuery("#print").printThis();
      });
      </script>

    </head>
    <body>
      <div id="print">
        
        <div class="logo"><img src="<?php if(get_option('wpbtheme_print_logo')){ echo get_option('wpbtheme_print_logo'); }else{ echo get_bloginfo('template_url').'/images/footer-logo.png'; } ?>" alt=""/></div>
        <div class="slogan"><?php bloginfo('description'); ?></div>
        
        <?php query_posts("p=$id"); if(have_posts()): while(have_posts()): the_post(); ?>
        
            <div class="info">
                <span>&#1578;&#1575;&#1585;&#1740;&#1582; &#1575;&#1606;&#1578;&#1588;&#1575;&#1585; &#1582;&#1576;&#1585;: <?php if(function_exists('jdate')){ jdate('d M y'); } ?></span>
                <span class="time">&#1587;&#1575;&#1593;&#1578;: <?php the_time('H:i'); ?></span>
                <p>&#1705;&#1583; &#1582;&#1576;&#1585;: <?php echo $id; ?></p>
                <p class="left"><?php echo wp_get_shortlink( $id ); ?></p>
            </div>
            
            <div class="clear"></div>
            
            <img src="<?php bloginfo('template_url'); ?>/images/print.png" class="doprint" alt=""/>
        
            <div class="loop">
                <h3><?php if(get_post_meta(get_the_ID(),'subject',true)){ ?><span><?php echo get_post_meta(get_the_ID(),'subject',true); ?></span><?php } ?></h4>
                <h2><?php the_title(); ?></h2>
                <?php the_content(); ?>
                <div class="clear"></div>
                
                
                <div class="author">
                	<?php echo get_avatar( get_the_author_meta('ID'), 30 ); ?> 
                    <?php the_author(); ?>
               	</div>
            
            <ul class="below">
                <li><span class="b"><?php _e('Category: ', 'pnews'); ?></span><?php the_category(' / '); ?></li>
                <li><span class="b"><?php _e('Tgas: ', 'pnews'); ?></span><?php the_tags('',' / '); ?></li>
                <li>
                    <img src="<?php bloginfo('template_url'); ?>/images/cmm.png" class="cmm" alt=""/>
                    <?php
                        $comments_count = wp_count_comments();
                        echo $comments_count->moderated . " &#1606;&#1592;&#1585; &#1578;&#1575;&#1740;&#1740;&#1583; &#1588;&#1583;&#1607; / " . $comments_count->approved . " &#1606;&#1592;&#1585; &#1583;&#1585; &#1575;&#1606;&#1578;&#1592;&#1575;&#1585; &#1578;&#1575;&#1740;&#1740;&#1583;";
                    ?>
                </li>
            </ul>
            
            <div class="clear"></div>
            </div>
        <?php endwhile; endif; wp_reset_query(); ?>

      <p class="cp">
          <?php if(get_option('wpbtheme_copyright')){ echo get_option('wpbtheme_copyright'); }else{ _e('Copyright &copy; all right recieved','pnews'); } ?>
      </p>
      </div><!--#/print-->
 
  </body>
</html>