<?php

add_action('init','of_options');
define('Options_Name', 'تنظیمات پوسته');

if (!function_exists('of_options')) {
function of_options(){

	$shortname = "tabnakweb";
	$themename = 'قالب من';
	$mrjthemedir = get_template_directory_uri();
	$prefix = 'tabnakweb_';

//Populate the options array
global $tt_options;
$tt_options = get_option('of_options');

$tt_pages = array();
$tt_pages_obj = get_pages('sort_column=post_parent,menu_order');    
foreach ($tt_pages_obj as $tt_page) {
	$tt_pages[$tt_page->ID] = $tt_page->post_title; 
}
$select_a_page = array("select_a_page" => "برگه ای را انتخاب کنید:");
$wp_pages = $select_a_page + $tt_pages;


$tt_posts = array();
$tt_posts_obj = get_posts('numberposts=30');    
foreach ($tt_posts_obj as $tt_post) {
	$tt_posts[$tt_post->ID] = $tt_post->post_title; 
}
$select_a_post = array("select_a_post" => "نوشته ای را انتخاب کنید:");
$wp_posts = $select_a_post + $tt_posts;

$tt_categories = array();  
$tt_categories_obj = get_categories('hide_empty=0');
foreach ($tt_categories_obj as $tt_cat) {
	$tt_categories[$tt_cat->cat_ID] = $tt_cat->cat_name;
}
$select_a_cat = array('selec_a_category'=>'دسته ای را انتخاب کنید:');
$wp_categories = $select_a_cat + $tt_categories;


//Folder Paths for "type" => "images"
$sampleurl =  get_template_directory_uri() . '/admin/images/sample-layouts/';
$options = array(); // این خط را حذف نکنید 

/////////////////////////////////////////////// تنظیمات از این جا به بعد قرار گیرند ///////////////////////////////////////

/* Option Page 1 - All Options */	

$options[] = array( 
	"name" => 'تنظیمات عمومی',
	"type" => "heading",
	"slug" => 'tw_setting'
);

$options[] = array( 
	"name" => 'لوگوي سايت',
	"desc" => 'حداکثر عرض  1001',
	"id" => $prefix."logo",
	"std" => $mrjthemedir.'/images/logo.png',
	"type" => "image_upload"
);

$options[] = array( 
	"name" => 'فاوآیکون',
	"desc" => 'از این قسمت می توانید آیکون سایت خود را آپلود نمایید ، این آیکون می تواند با فرمت png یا gif و یا فرمت رایج آیکون یعنی ico باشد .',
	"id" => $prefix."favicon",
	"std" => $mrjthemedir.'/images/fav.png',
	"type" => "image_upload"
);

$options[] = array( 
	"name" => 'کلمات کلیدی',
	"desc" => "برای جداسازی از ( , ) در حالت صفحه کلید انگلیسی استفاده کنید",
	"id" => $prefix."keywords",
	"std" => "وب سايت ,تابناك وب, خبر ",
	"type" => "textarea"
);
$options[] = array( 
	"name" => 'كپي رايت پاشنه سايت',
	"desc" => "محل كپي رايت شما",
	"id" => $prefix."copyright",
	"std" => "نقل و نشر مطالب و اخبار با ذکر نام <?php bloginfo('name'); ?> آزاد می باشد .


  ",
	"type" => "text"
);

//================================================ special
$options[] = array( 
	"name" => 'تيتر يك',
	"type" => "heading",
	"slug" => 'tw_specialpro'
);

$options[] = array( 
	"name" => 'بلوك تيتر يك',
	"desc" => 'انتخاب دسته بندی',
	"id" => $prefix."specialcat",
	"std" => "1",
	"type" => "select",
	"options" => $wp_categories
);
//================================================ titr2
$options[] = array( 
	"name" => 'تيتر دو',
	"type" => "heading",
	"slug" => 'tw_titr2pro'
);

$options[] = array( 
	"name" => 'بلوك تيتر دو',
	"desc" => 'انتخاب دسته بندی',
	"id" => $prefix."titr2cat",
	"std" => "1",
	"type" => "select",
	"options" => $wp_categories
);
$options[] = array( 
	"desc" => 'تعداد  اخبار',
	"id" => $prefix."titr2count",
	"std" => "6",
	"type" => "text"
);

//================================================ news
$options[] = array( 
	"name" => 'عناوين اخبار',
	"type" => "heading",
	"slug" => 'tw_newspro'
);

$options[] = array( 
	"name" => 'بلوک  اخبار',
	"desc" => 'انتخاب دسته بندی',
	"id" => $prefix."newscat",
	"std" => "1",
	"type" => "select",
	"options" => $wp_categories
);
$options[] = array( 
	"desc" => 'تعداد  اخبار',
	"id" => $prefix."newscount",
	"std" => "14",
	"type" => "text"
);


//================================================ gallery
$options[] = array( 
	"name" => 'گالري',
	"type" => "heading",
	"slug" => 'tw_galleryblocks'
);

$options[] = array( 
	"name" => 'بلوک  شماره يك',
	"desc" => 'عنوان بلوک',
	"id" => $prefix."gallerytitle",
	"std" => "گالري",
	"type" => "text"
);
$options[] = array( 
	"desc" => 'انتخاب دسته بندي',
	"id" => $prefix."gallerycat",
	"std" => "1",
	"type" => "select",
	"options" => $wp_categories
);

//================================================ rightblocks
$options[] = array( 
	"name" => 'بلوك هاي كناري',
	"type" => "heading",
	"slug" => 'tw_rightblocks'
);

$options[] = array( 
	"name" => 'بلوک  شماره يك',
	"desc" => 'عنوان بلوک',
	"id" => $prefix."rightblock1title",
	"std" => "يادداشت",
	"type" => "text"
);
$options[] = array( 
	"desc" => 'انتخاب دسته بندی',
	"id" => $prefix."rightblock1cat",
	"std" => "1",
	"type" => "select",
	"options" => $wp_categories
);
$options[] = array( 
	"desc" => 'تعداد',
	"id" => $prefix."rightblock1count",
	"std" => "4",
	"type" => "text"
);

$options[] = array( 
	"name" => 'بلوک  شماره دو',
	"desc" => 'عنوان بلوک',
	"id" => $prefix."rightblock2title",
	"std" => "مصاحبه",
	"type" => "text"
);
$options[] = array( 
	"desc" => 'انتخاب دسته بندی',
	"id" => $prefix."rightblock2cat",
	"std" => "1",
	"type" => "select",
	"options" => $wp_categories
);
$options[] = array( 
	"desc" => 'تعداد',
	"id" => $prefix."rightblock2count",
	"std" => "4",
	"type" => "text"
);


$options[] = array( 
	"name" => 'بلوک  شماره  سه',
	"desc" => 'عنوان بلوک',
	"id" => $prefix."rightblock3title",
	"std" => "سخن روز",
	"type" => "text"
);
$options[] = array( 
	"desc" => 'انتخاب دسته بندی',
	"id" => $prefix."rightblock3cat",
	"std" => "1",
	"type" => "select",
	"options" => $wp_categories
);
$options[] = array( 
	"desc" => 'تعداد',
	"id" => $prefix."rightblock3count",
	"std" => "4",
	"type" => "text"
);

$options[] = array( 
	"name" => 'بلوک  شماره   چهار',
	"desc" => 'عنوان بلوک',
	"id" => $prefix."rightblock4title",
	"std" => "سخن روز",
	"type" => "text"
);
$options[] = array( 
	"desc" => 'انتخاب دسته بندی',
	"id" => $prefix."rightblock4cat",
	"std" => "1",
	"type" => "select",
	"options" => $wp_categories
);
$options[] = array( 
	"desc" => 'تعداد',
	"id" => $prefix."rightblock4count",
	"std" => "4",
	"type" => "text"
);


//================================================ sardab
$options[] = array( 
	"name" => 'بلوك انتخاب سردبير',
	"type" => "heading",
	"slug" => 'tw_sardabblocks'
);

$options[] = array( 
	"name" => 'بلوک  شماره يك',
	"desc" => 'عنوان بلوک',
	"id" => $prefix."sardabtitle",
	"std" => "پيشنهاد سردبير",
	"type" => "text"
);
$options[] = array( 
	"desc" => 'انتخاب دسته بندی',
	"id" => $prefix."sardabcat",
	"std" => "1",
	"type" => "select",
	"options" => $wp_categories
);
$options[] = array( 
	"desc" => 'تعداد',
	"id" => $prefix."sardabcount",
	"std" => "25",
	"type" => "text"
);


//================================================ footers
$options[] = array( 
	"name" => 'بلوك هاي  پاشنه',
	"type" => "heading",
	"slug" => 'tw_footers'
);

$options[] = array( 
	"name" => 'بلوک  شماره يك',
	"desc" => 'عنوان بلوک',
	"id" => $prefix."footer1title",
	"std" => "مقالات",
	"type" => "text"
);
$options[] = array( 
	"desc" => 'انتخاب دسته بندی',
	"id" => $prefix."footer1cat",
	"std" => "1",
	"type" => "select",
	"options" => $wp_categories
);


$options[] = array( 
	"name" => 'بلوک  شماره دو',
	"desc" => 'عنوان بلوک',
	"id" => $prefix."footer2title",
	"std" => "شورا در رسانه ها",
	"type" => "text"
);
$options[] = array( 
	"desc" => 'انتخاب دسته بندی',
	"id" => $prefix."footer2cat",
	"std" => "1",
	"type" => "select",
	"options" => $wp_categories
);


$options[] = array( 
	"name" => 'بلوک  شماره  سه',
	"desc" => 'عنوان بلوک',
	"id" => $prefix."footer3title",
	"std" => "جلسات",
	"type" => "text"
);
$options[] = array( 
	"desc" => 'انتخاب دسته بندی',
	"id" => $prefix."footer3cat",
	"std" => "1",
	"type" => "select",
	"options" => $wp_categories
);

//================================================ ads

$options[] = array( 
	"name" => 'مدیریت تبلیغات',
	"type" => "heading",
	"slug" => 'tw_ads'
);




$options[] = array( 
	"name" => 'بنر كناري',
	"desc" => "آپلود عکس / سایز : عرض 140پيكسل",
	"id" => $prefix."contentads1img",
	"std" => $mrjthemedir.'/images/120x240.jpg',
	"type" => "image_upload"
);
$options[] = array( 
	"desc" => "عنوان - alt و title",
	"id" => $prefix."contentads1title",
	"std" => "تابناك وب",
	"type" => "text"
);
$options[] = array( 
	"desc" => "لینک",
	"id" => $prefix."contentads1link",
	"std" => "http://tabnakweb.ir",
	"type" => "text"
);
//==============2
$options[] = array( 
	"name" => 'بنر كناري',
	"desc" => "آپلود عکس / سایز : عرض 140پيكسل",
	"id" => $prefix."contentads2img",
	"std" => $mrjthemedir.'/images/120x240.jpg',
	"type" => "image_upload"
);
$options[] = array( 
	"desc" => "عنوان - alt و title",
	"id" => $prefix."contentads2title",
	"std" => "تابناك وب",
	"type" => "text"
);
$options[] = array( 
	"desc" => "لینک",
	"id" => $prefix."contentads2link",
	"std" => "http://tabnakweb.ir",
	"type" => "text"
);
//==============3
$options[] = array( 
	"name" => 'بنر كناري',
	"desc" => "آپلود عکس / سایز : عرض 140پيكسل",
	"id" => $prefix."contentads3img",
	"std" => $mrjthemedir.'/images/120x240.jpg',
	"type" => "image_upload"
);
$options[] = array( 
	"desc" => "عنوان - alt و title",
	"id" => $prefix."contentads3title",
	"std" => "تابناك وب",
	"type" => "text"
);
$options[] = array( 
	"desc" => "لینک",
	"id" => $prefix."contentads3link",
	"std" => "http://tabnakweb.ir",
	"type" => "text"
);
//==============4
$options[] = array( 
	"name" => 'بنر كناري',
	"desc" => "آپلود عکس / سایز : عرض 140پيكسل",
	"id" => $prefix."contentads4img",
	"std" => $mrjthemedir.'/images/120x240.jpg',
	"type" => "image_upload"
);
$options[] = array( 
	"desc" => "عنوان - alt و title",
	"id" => $prefix."contentads4title",
	"std" => "تابناك وب",
	"type" => "text"
);
$options[] = array( 
	"desc" => "لینک",
	"id" => $prefix."contentads4link",
	"std" => "http://tabnakweb.ir",
	"type" => "text"
);
//==============5
$options[] = array( 
	"name" => 'بنر كناري',
	"desc" => "آپلود عکس / سایز : عرض 140پيكسل",
	"id" => $prefix."contentads5img",
	"std" => $mrjthemedir.'/images/120x240.jpg',
	"type" => "image_upload"
);
$options[] = array( 
	"desc" => "عنوان - alt و title",
	"id" => $prefix."contentads5title",
	"std" => "تابناك وب",
	"type" => "text"
);
$options[] = array( 
	"desc" => "لینک",
	"id" => $prefix."contentads5link",
	"std" => "http://tabnakweb.ir",
	"type" => "text"
);
//==============6
$options[] = array( 
	"name" => 'بنر كناري',
	"desc" => "آپلود عکس / سایز : عرض 140پيكسل",
	"id" => $prefix."contentads6img",
	"std" => $mrjthemedir.'/images/120x240.jpg',
	"type" => "image_upload"
);
$options[] = array( 
	"desc" => "عنوان - alt و title",
	"id" => $prefix."contentads6title",
	"std" => "تابناك وب",
	"type" => "text"
);
$options[] = array( 
	"desc" => "لینک",
	"id" => $prefix."contentads6link",
	"std" => "http://tabnakweb.ir",
	"type" => "text"
);




//////////////////////////////////////////         پایان تنظیمات       //////////////////////////////////////////////////


update_option('of_template',$options); 			  
update_option('of_themename',$themename);   
update_option('of_shortname',$shortname);
return $options;
}
}
?>